<?php
namespace RealID;

use GuzzleHttp\Client;

class ApiClient {
  public $client;
  public $options;

  public function __construct($licenseKey = null, $additionalOptions = []) {
    $options = array( 'base_uri' => 'https://real-id.getverdict.com', 'http_errors' => false );
    $options =  array_merge($options, $additionalOptions);

    if(defined('REAL_ID_API_HOST')) {
      $options['base_uri'] = REAL_ID_API_HOST;
    }

    if(getenv('REAL_ID_API_HOST')) {
      $options['base_uri'] = getenv('REAL_ID_API_HOST');
    }

    if(isset($licenseKey)) {
      $options['headers'] = array(
        'Authorization' => 'Bearer ' . $licenseKey,
      );
    }

    $this->options = array_merge($options, ['license_key' => $licenseKey, 'sandbox_mode' => get_option('real_id_sandbox_mode')]);
    $this->client = new Client($options);
  }

  public function getOptions() {
    return $this->options;
  }
}
