<?php

/**
 *  Die & dump baby, die & dump
 */
function ridd($prop) {
  die(var_dump($prop));
}

/**
 * Is pre-checkout delivery enabled?
 * 
 * @return Boolean
 */
function real_id_is_pre_checkout_enabled() {
  $delivery_methods = get_option('real_id_delivery_methods');

  return in_array('preCheckout', $delivery_methods);
}

function real_id_in_sandbox_mode() {
  return get_option('real_id_sandbox_mode');
}

/**
 * Is the option in existance?
 * 
 * @return Boolean
 */
function real_id_option_exists($name, $site_wide = false) {
  global $wpdb; 
  return $wpdb->query("SELECT * FROM ". ($site_wide ? $wpdb->base_prefix : $wpdb->prefix). "options WHERE option_name ='$name' LIMIT 1");
}

  /**
   * Return the license key depending on if the shop is in test or live mode
   * 
   * @return string
   */
  function real_id_get_license_key() {
    $licenseKey = get_option('real_id_license_key');
    if($licenseKey) {
      return $licenseKey;
    }

    $sandboxLicenseKey = get_option('real_id_sandbox_license_key');
    return $sandboxLicenseKey;
  }

  /**
   * Return the shop name, used as the primary key for the shop
   * 
   * @return string
   */
  function real_id_get_shop_name() {
    return home_url();
  }

  /**
   * Return the order data as JSON
   */
  function real_id_get_order_data($order_id) {
    $order = wc_get_order( $order_id );
    $order_data = json_decode((string) $order, true);

    // include line items
    $line_items = $order->get_items();
    $transformed = array_map(function ($line_item) {
      $product = $line_item->get_product();
      return array_merge($line_item->get_data(), [ 'category_ids' => $product->get_category_ids(), 'tag_ids' => $product->get_tag_ids() ]);
    }, $line_items);

    // place all individual line_items category_id's into one array for easy processing
    $order_data['category_ids'] = array_reduce($transformed, function ($carry, $current) {
      return array_merge($carry, $current['category_ids']);
    }, []);

    if($order->get_user()) {
      $customer = $order->get_user()->to_array();
      unset($customer['user_pass']);
      $order_data['customer'] = [
        'id' => $customer['ID'],
        'email' => $customer['user_email'],
        'meta' => [
          'real_id_check_status' => get_user_meta($customer['ID'], 'real_id_check_status', true),
        ]
      ];
    }


    $order_data['line_items'] = $transformed;

    return $order_data;
  }